=== IMdkit/Makefile ===
include ../config.mak

all: libXimd.a

libXimd.a:
	$(MAKE) -C lib

clean:
	rm -f *.bak *~
	$(MAKE) -C lib clean

install:
	@echo nothing to be installed.
