=== icons/Makefile ===
include ../config.mak

install:
	install -d $(GCIN_ICON_DIR_i)
	install -m 644 *.png 30x30/*.png $(GCIN_ICON_DIR_i)
