=== debian/changelog ===
gcin (2.9.4+dfsg1-6) unstable; urgency=medium

  * d/control: Do not recommend non-existing gcin-gtk2-immodule.
    (Closes: #1128211)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 20 Feb 2026 11:48:51 +0800

gcin (2.9.4+dfsg1-5) unstable; urgency=medium

  * Remove GTK2 support (Closes: #967375)
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Required-Root.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Jan 2026 21:03:13 +0800

gcin (2.9.4+dfsg1-4) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Update VCS-* to input method team.
  * d/watch: Upgrade to version 5.
  * d/salsa-ci.yml: Add Salsa CI config

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 08 Oct 2025 11:56:04 +0800

gcin (2.9.4+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096685)

 -- Adrian Bunk <bunk@debian.org>  Fri, 26 Sep 2025 18:57:51 +0300

gcin (2.9.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * debian/clean: Explicitly clean gcin-fedora.spec to avoid its
    interruption to source build after successful build. (Closes: #1045126)

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2024 18:47:05 -0500

gcin (2.9.4+dfsg1-2) unstable; urgency=high

  * Team upload.
  * debian/patches/:
    + 0015-tsa2d32.cpp-Do-not-free-pointers-to-avoid-crash-on-a.patch:
      Add a patch to disable potentially problematic free(3) calls
      to circumvent a pointer double-free crash issue during build.
      The potential side-effect of memory leakage is acceptable.
      (Closes: #1091160)

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2024 17:44:22 -0500

gcin (2.9.4+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/README.source: Dropped, now useless.
  * debian/copyright: Update Files-Excluded pattern.
  * debian/control: Move description text to source package section.
  * debian/patches/0013-Use-ayatana-indicator.patch: Dropped, upstream
    has its own support for it.
  * debian/patches/*: Refreshed with "gbp pq".
  * debian/rules: Use DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types
    to avoid FTBFS due to related errors.
  * debian/patches:
    + 0014-win0.cpp-Add-missing-header-include-gdk-wayland-gdkw.patch:
    Add patch to avoid implicit-function-declaration.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2024 23:17:42 -0500

gcin (2.9.0+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to fix build with GCC 14. (Closes: #1074980)

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2024 20:51:54 +0300

gcin (2.9.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/0013-Fix-implicit-function-declaration.patch:
    Fix FTBFS caused by implicit-function-declaration. Add explicit
    function declaration.
    (Closes: #1066212)

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 21:32:59 -0400
